import React, { memo } from 'react';
import { jsx as _jsx } from "react/jsx-runtime";
function CharactersCounterBase({
  currLength,
  maxLength,
  getCharactersCounterString
}) {
  return /*#__PURE__*/_jsx("p", {
    className: "characters-counter",
    "test-id": "characters-counter",
    children: getCharactersCounterString(maxLength - currLength)
  });
}
CharactersCounterBase.displayName = 'CharactersCounter';
export const CharactersCounter = /*#__PURE__*/memo(CharactersCounterBase);